=head1 NAME

B<makehosts> - sets up /etc/hosts from the xCAT hosts table.

=head1 SYNOPSIS

B<makehosts> [B<-n>] [I<noderange>]

B<makehosts> {B<-h>|B<--help>}

=head1 DESCRIPTION

B<makehosts> updates the /etc/hosts file based on entries in the hosts table in the xCAT database.
If your node hostnames and IP addresses follow a regular pattern, you can use just a few regular expressions
in the hosts table and then easily generate /etc/hosts using makehosts.

=head1 OPTIONS

=over 6

=item B<-n>

Completely replace the /etc/hosts file, losing any previous content.  If this option is not specified,
it will only replace the lines in the file that correspond to the nodes in the specified noderange.

=back

=head1 EXAMPLES

=over 2

=item *

If the xCAT hosts table contains:

  "compute","|node(\d+)|1.2.3.($1+0)|","|(.*)|($1).cluster.net|",,

Assuming the group "compute" contains node01, node02, etc., then in /etc/hosts they will be given
IP addresses of 1.2.3.1, 1.2.3.2, etc.

=back

=head1 SEE ALSO

hosts(5), L<makedns(8)|makedns.8>
